Vendor Credits
List VendorCredit records
Retrieve a paginated list of VendorCredit records with filtering and ordering options.
GET
/
public
/
v2
/
vendor-credits
/
List VendorCredit records
curl --request GET \
--url https://api.dualentry.com/public/v2/vendor-credits/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/vendor-credits/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/vendor-credits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"supply_date": "2023-12-25",
"tax": {
"data": {}
},
"transaction_ids": [
123
],
"internal_id": 123,
"number": 123,
"date": "2023-12-25",
"transaction_date": "2023-12-25",
"company_id": 123,
"company_name": "<string>",
"company_currency": "<string>",
"vendor_id": 123,
"vendor_name": "<string>",
"currency_iso_4217_code": "<string>",
"exchange_rate": "<string>",
"memo": "<string>",
"items": [
{
"id": 123,
"position": 123,
"rate": "<string>",
"quantity": "<string>",
"memo": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
},
"item_id": 123,
"classifications": [],
"item_type": "<string>",
"hsn_sac_code": "<string>",
"item_name": "<string>"
}
],
"expenses": [
{
"id": 123,
"quantity": "<string>",
"rate": "<string>",
"position": 123,
"expense_description": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
},
"account_number": 123,
"customer_id": 123,
"vendor_id": 123,
"classifications": [],
"account_name": "<string>",
"customer_name": "<string>",
"vendor_name": "<string>"
}
],
"amount": "<string>",
"used_amount": "<string>",
"remaining_amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": [],
"attachments": [],
"place_of_supply": "<string>",
"tax_registration_numbers": {
"company": [
{
"type": "<string>",
"number": "<string>",
"region": "<string>"
}
],
"counterparty": [
{
"type": "<string>",
"number": "<string>",
"region": "<string>"
}
]
},
"classifications": [],
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"bill_number": 123,
"direct_expense_number": 123
}
],
"count": 123
}{
"errors": {},
"success": false
}Authorizations
Query Parameters
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHF, CLF, CLP, CNY, COP, CRC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VES, VND, VUV, WST, XAF, XAG, XAU, XCD, XDR, XOF, XPD, XPF, XPT, YER, ZAR, ZMW, ZWL Available options:
draft, posted, archived Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Last modified on July 13, 2026
Was this page helpful?
⌘I
List VendorCredit records
